Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat
Class Area

    java.lang.Object
      com.huguesjohnson.tiamat.Area

All Implemented Interfaces:
  Storable

Direct Known Subclasses:
  CDArea

public class Area
extends java.lang.Object
implements Storable

Area - collection of layers and characters to represent an area

Author:
  Hugues Johnson

Field Summary
`protected java.lang.String` | `absoluteDir`

Constructor Summary
`Area()`
`Area(Layer[] layers, java.lang.String[] characterPaths, Formatter formatter)`

Method Summary
`void` | `addCharacter(java.lang.String characterPath, Formatter formatter)`
`void` | `addLayer(Layer layer)`
`Character` | `getCharacter(int index)`
`java.lang.String[]` | `getCharacterPaths()`
`Character[]` | `getCharacters()`
`Layer` | `getLayer(int index)`
`Layer[]` | `getLayers()`
`void` | `onDeserialize(Formatter formatter, java.lang.String absoluteDir)` The onDeserialize event should be fired after an object is de-serialized.
`void` | `setAbsoluteDir(java.lang.String absoluteDir)`
`void` | `setCharacters(java.lang.String[] characterPaths, Formatter formatter)`
`void` | `setLayers(Layer[] layers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### absoluteDir

    protected transient java.lang.String absoluteDir

Constructor Detail

### Area

    public Area()

### Area

    public Area(Layer[] layers,
                java.lang.String[] characterPaths,
                Formatter formatter)

Method Detail

### setLayers

    public void setLayers(Layer[] layers)

### getLayers

    public Layer[] getLayers()

### addLayer

    public void addLayer(Layer layer)

### getCharacters

    public Character[] getCharacters()

### getCharacterPaths

    public java.lang.String[] getCharacterPaths()

### setCharacters

    public void setCharacters(java.lang.String[] characterPaths,
                              Formatter formatter)

### addCharacter

    public void addCharacter(java.lang.String characterPath,
                             Formatter formatter)

### setAbsoluteDir

    public void setAbsoluteDir(java.lang.String absoluteDir)

### getCharacter

    public Character getCharacter(int index)

### getLayer

    public Layer getLayer(int index)

### onDeserialize

    public void onDeserialize(Formatter formatter,
                              java.lang.String absoluteDir)

  The onDeserialize event should be fired after an object is de-serialized. This allows objects to load transient members, set their working directory, and load Storable members if needed.

  Specified by:
    `onDeserialize` in interface `Storable`
  Parameters:
    `formatter` - the formatter to use to load any storable members
    `absoluteDir` - the working directory since all paths stored in the object should be relative

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD